# DEEP BAYESIAN ACTIVE LEARNING FOR ACCELERATING STOCHASTIC SIMULATION

This repository is a PyTorch implementation of Deep Bayesian Active Learning for Accelerating Stochastic Simulation.

## Requirements
* torch
* scipy>=0.19.0
* numpy>=1.12.1
* pandas>=0.19.2
* pyyaml
* statsmodels
* tensorflow>=1.3.0
* torch
* tables
* future
* sklearn
* matplotlib
* gpytorch
* math

To install requirements:
```
pip install -r requirements.txt
```
## Model Training and Evaluation for SEIR Simulator
```
cd 2d_seir_code/*
python main.py
```

## Model Training and Evaluation for LEAM-US Simulator
```
cd leam_us_code/STNP/*
python dcrnn_train_pytorch.py
cd leam_us_code/offline/*
python dcrnn_train_pytorch.py
```

## Model Training and Evaluation for RD Simulator
```
cd rd_code/STNP/*
python *.py
cd leam_us_code/offline/*
python *.py
```
